$(document).ready(function() {

	$('#soundboard_item_%id%').click(function(){

		if ($("#soundboard_item_audio_%id%")[0].paused == false) {

			// Pause it
			$(this).removeClass('soundboard_itemplaying');
			$(this).parent().removeClass('soundboard_trackplaying');
			$("#soundboard_item_audio_%id%")[0].pause();
			
		} else {

			// Play it
			$(this).addClass('soundboard_itemplaying');
			$(this).parent().addClass('soundboard_trackplaying');
			$("#soundboard_item_audio_%id%")[0].play();

		}
	});

	// When the audio has ended
	$('#soundboard_item_audio_%id%').bind('ended', function(){
		$('#soundboard_item_%id%').removeClass('soundboard_itemplaying');
		$('#soundboard_item_%id%').parent().removeClass('soundboard_trackplaying');
	});

	// Stop audio when clicking outside of itself
	$(document).click(function(event) { 
		if(!$(event.target).closest('#soundboard_item_%id%').length) {
			if($('#soundboard_item_%id%').is(":visible")) {
				$("#soundboard_item_audio_%id%")[0].pause();
				$("#soundboard_item_%id%").removeClass('soundboard_itemplaying');
			}
		}
	});
	
});
